#include <iostream>
#include "fourier/euclidian.hpp"

using namespace CosmoTool;
using namespace std;

int main()
{
  EuclidianFourierTransform_2d<double> dft(128,128,1.0,1.0);
  double volume = 128*128;

  dft.realSpace().eigen().setRandom();
  dft.analysis();
  cout << "Map dot-product = " << dft.realSpace().dot_product(dft.realSpace()) << endl;
  cout << "Fourier dot-product = " << dft.fourierSpace().dot_product(dft.fourierSpace()).real()*volume << endl;
  return 0;
}
